osmium::memory::Collection< TMember, TCollectionItemType > Class Template Reference

`#include <collection.hpp>`

Inheritance diagram for osmium::memory::Collection< TMember, TCollectionItemType >:
[legend]
Collaboration diagram for osmium::memory::Collection< TMember, TCollectionItemType >:
[legend]

## Public Types

typedef CollectionIterator< TMember > | iterator
typedef CollectionIterator< const TMember > | const_iterator
typedef TMember | value_type

## Public Member Functions

| Collection ()
bool | empty () const
iterator | begin ()
iterator | end ()
const_iterator | cbegin () const
const_iterator | cend () const
const_iterator | begin () const
const_iterator | end () const
Public Member Functions inherited from osmium::memory::Item
unsigned char * | next () noexcept
const unsigned char * | next () const noexcept
item_size_type | byte_size () const noexcept
item_size_type | padded_size () const
item_type | type () const noexcept
bool | removed () const noexcept
void | set_removed (bool removed) noexcept

## Static Public Attributes

static constexpr osmium::item_type | itemtype = TCollectionItemType

## Additional Inherited Members

Protected Member Functions inherited from osmium::memory::Item
| Item (item_size_type size=0, item_type type=item_type()) noexcept
| Item (const Item &)=delete
| Item (Item &&)=delete
Item & | operator= (const Item &)=delete
Item & | operator= (Item &&)=delete
Item & | set_type (const item_type item_type) noexcept

## Member Typedef Documentation

template<typename TMember, osmium::item_type TCollectionItemType>

typedef CollectionIterator<const TMember> osmium::memory::Collection< TMember, TCollectionItemType >::const_iterator

template<typename TMember, osmium::item_type TCollectionItemType>

typedef CollectionIterator<TMember> osmium::memory::Collection< TMember, TCollectionItemType >::iterator

template<typename TMember, osmium::item_type TCollectionItemType>

typedef TMember osmium::memory::Collection< TMember, TCollectionItemType >::value_type

## Constructor & Destructor Documentation

template<typename TMember, osmium::item_type TCollectionItemType>

osmium::memory::Collection< TMember, TCollectionItemType >::Collection | ( |  | ) |

inline

## Member Function Documentation

template<typename TMember, osmium::item_type TCollectionItemType>

iterator osmium::memory::Collection< TMember, TCollectionItemType >::begin | ( |  | ) |

inline

template<typename TMember, osmium::item_type TCollectionItemType>

const_iterator osmium::memory::Collection< TMember, TCollectionItemType >::begin | ( |  | ) | const

inline

template<typename TMember, osmium::item_type TCollectionItemType>

const_iterator osmium::memory::Collection< TMember, TCollectionItemType >::cbegin | ( |  | ) | const

inline

template<typename TMember, osmium::item_type TCollectionItemType>

const_iterator osmium::memory::Collection< TMember, TCollectionItemType >::cend | ( |  | ) | const

inline

template<typename TMember, osmium::item_type TCollectionItemType>

bool osmium::memory::Collection< TMember, TCollectionItemType >::empty | ( |  | ) | const

inline

template<typename TMember, osmium::item_type TCollectionItemType>

iterator osmium::memory::Collection< TMember, TCollectionItemType >::end | ( |  | ) |

inline

template<typename TMember, osmium::item_type TCollectionItemType>

const_iterator osmium::memory::Collection< TMember, TCollectionItemType >::end | ( |  | ) | const

inline

## Member Data Documentation

template<typename TMember, osmium::item_type TCollectionItemType>

constexpr osmium::item_type osmium::memory::Collection< TMember, TCollectionItemType >::itemtype = TCollectionItemType

static

The documentation for this class was generated from the following file:

- osmium/memory/collection.hpp